summaryrefslogtreecommitdiff
path: root/plugins
diff options
context:
space:
mode:
Diffstat (limited to 'plugins')
-rw-r--r--plugins/hub/hub.plugin.zsh5
1 files changed, 5 insertions, 0 deletions
diff --git a/plugins/hub/hub.plugin.zsh b/plugins/hub/hub.plugin.zsh
new file mode 100644
index 000000000..e82a0ec25
--- /dev/null
+++ b/plugins/hub/hub.plugin.zsh
@@ -0,0 +1,5 @@
+# hub alias from defunkt
+# https://github.com/defunkt/hub
+if [ $( which hub > /dev/null 2>&1 ; echo -n $? ) -lt 1 ]; then
+ eval $( hub alias -s $( ps -o comm= -p $$ ) )
+fi